package com.yanzhu.jh.work.service;

import java.util.List;
import java.util.Map;

import com.yanzhu.jh.work.domain.WorkJournalism;

/**
 * 集团新闻Service接口
 * 
 * @author JiangYuQi
 * @date 2023-08-18
 */
public interface IWorkJournalismService 
{
    /**
     * 查询集团新闻
     * 
     * @param id 集团新闻主键
     * @return 集团新闻
     */
    public WorkJournalism selectWorkJournalismById(Long id);

    /**
     * 查询集团新闻列表
     * 
     * @param workJournalism 集团新闻
     * @return 集团新闻集合
     */
    public List<WorkJournalism> selectWorkJournalismList(WorkJournalism workJournalism);

    /**
     * 查询集团新闻列表
     *
     * @return 集团新闻集合
     */
    public List<WorkJournalism> selectBgscreenWorkJournalismList();

    /**
     * 查询集团新闻统计
     *
     * @param workJournalism 集团新闻
     * @return 集团新闻集合
     */
    public Map<String,Object> findWorkJournalismGroupStatus(WorkJournalism workJournalism);

    /**
     * 新增集团新闻
     * 
     * @param workJournalism 集团新闻
     * @return 结果
     */
    public int insertWorkJournalism(WorkJournalism workJournalism);

    /**
     * 修改集团新闻
     * 
     * @param workJournalism 集团新闻
     * @return 结果
     */
    public int updateWorkJournalism(WorkJournalism workJournalism);

    /**
     * 批量删除集团新闻
     * 
     * @param ids 需要删除的集团新闻主键集合
     * @return 结果
     */
    public int deleteWorkJournalismByIds(Long[] ids);

    /**
     * 删除集团新闻信息
     * 
     * @param id 集团新闻主键
     * @return 结果
     */
    public int deleteWorkJournalismById(Long id);
}
